﻿@model Category
@{
    ViewData["Title"] = "Update";
}






<div class="row">
    <div class="col-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Update</h4>

                <form class="forms-sample" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label asp-for="Name"></label>
                        <input asp-for="Name" class="form-control" placeholder="Name">
                        <span asp-validation-for="Name" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="IsMain"></label>
                        <input asp-for="IsMain" placeholder="Name">
                    </div>


                    <div class="form-group d-none" id="photo">
                        <label asp-for="Photo"></label>
                        <input asp-for="Photo" class="form-control " placeholder="Name" accept="image/*">
                        <span asp-validation-for="Photo" class="text-danger"></span>
                    </div>
                
                    <button type="submit" class="btn btn-success mr-2">Save</button>
                    <button type="button" class="btn btn-light">Cancel</button>
                </form>
            </div>
        </div>
    </div>
</div>
@section Scripts{
    <script>
        if ($("#IsMain").prop("checked")) {
            $("#photo").removeClass("d-none");
            $("#mainCategory").addClass("d-none");
        } else {
            $("#photo").addClass("d-none");
            $("#mainCategory").removeClass("d-none");
        }
        $(document).on("click", "#IsMain", function () {
            if ($(this).prop("checked")) {
                $("#photo").removeClass("d-none");
                $("#mainCategory").addClass("d-none");
            } else {
                $("#photo").addClass("d-none");
                $("#mainCategory").removeClass("d-none");
            }
        })
    </script>
}


